Bug 1395518 - Dashboard widgets do not generate content with "By-Group" visibility filter
Summary: Dashboard widgets do not generate content with "By-Group" visibility filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Yuri Rudman
QA Contact: Jiri Stefanisin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 05:23 UTC by tachoi
Modified: 2020-07-16 09:00 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:23:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description tachoi 2016-11-16 05:23:15 UTC
Description of problem:
- CloudForms dashboard widgets do not refresh content with "By-Group" visibility filter
- CFME  version 5.6.2.2.20161017185613_7cee0a0 
- Error is logged with 

[----] I, [2016-11-16T10:25:05.001702 #26914:d52a8c]  INFO -- : MIQ(MiqWidget#queue_generate_content) Widget: [ind-rock - CPU Costs] ID: [22000000000011] is not subscribed, content will NOT be generated

- After the dashboard widget has been active for a period of time, issue happens
- However, changing the dashboard widget visibility from "By-Group" to "show to all users" allows the widget content to be generated successfully

- the dashboard widget successfully generates content when a user in the "visible" group first adds the widget to their dashboard. Thereafter, every time the widget is refreshed by an admin using the "Generate widget content now" menu item, or run on a schedule, the widget fails to generate content 

Version-Release number of selected component (if applicable):
CFME  version 5.6.2.2.20161017185613_7cee0a0 

How reproducible:
See below

Steps to Reproduce:
1. Create a chargeback report based on "Chargeback for VMs" and filter by tag (ensure the tag exists, and that resources are tagged appropriately)
2. Create a dashboard widget from the report
3. While creating the dashboard widget, under Visibility, select "By-Group", and select a group to show this widget to (ensure the LDAP group exists, and has at least one user as a member)
4. Save the widget, and select Configuration -> Generate Widget content now

Actual results:
 - CloudForms fails to generate widget content with the following error: 
[----] I, [2016-11-16T10:25:05.001702 #26914:d52a8c]  INFO -- : MIQ(MiqWidget#queue_generate_content) Widget: [ind-rock - CPU Costs] ID: [22000000000011] is not subscribed, content will NOT be generated

Expected results:
 - CloudForms generates the widget content

Additional info:
- Changing the dashboard widget visibility from "By-Group" to "show to all users" allows the widget content to be generated successfully.

Comment 8 tachoi 2016-11-27 22:03:58 UTC
Hi Team

Any update on the case.
This case was opened on 16th Nov but it is still new status.
Can someone have a look this request?

Regards,
Taeho

Comment 11 Yuri Rudman 2016-12-05 19:30:35 UTC
PR: https://github.com/ManageIQ/manageiq/pull/12993

Comment 16 errata-xmlrpc 2017-05-31 14:23:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.